Package org.eclipse.emf.cdo.transaction

# Interface CDOTransactionAware

All Known Subinterfaces:
  `CDOSavepoint`, `CDOTransactionScope`, `InternalCDOSavepoint`

public interface CDOTransactionAware
Identifies an object that is associated with a transaction.

Since:
  4.30
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOTransaction`
`getTransaction()`
Returns the associated transaction.

## Method Details

### getTransaction

CDOTransaction getTransaction()
Returns the associated transaction.